phing-tasks-system

# Class: PropertyPromptTask Source Location: /tasks/system/PropertyPromptTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PropertyPromptTask
Deprecated task that uses console to prompt user for property values. #### Author(s): Hans Lellelid <hans@xmpl.org> (Phing) Anthony J. Young-Garner <ajyoung@alum.mit.edu> (Ant) #### Version: $Revision: 552 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods addText getDefaultValue getPromptCharacter getPromptText getPropertyName init isUseExistingValue main setDefaultvalue setPromptCharacter setPromptText setPropertyName setUseExistingValue
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 38] Deprecated task that uses console to prompt user for property values. This class is very slightly simpler than the InputTask, but lacks the ability to use a non-console input handler. You should, therefore, use InputTask. This class can serve as a reference, but will be removed in the future. #### Tags:
author: | Hans Lellelid <hans@xmpl.org> (Phing)
author: | Anthony J. Young-Garner <ajyoung@alum.mit.edu> (Ant)
version: | $Revision: 552 $
copyright: | � 2001,2002 THYRELL. All rights reserved
deprecated: | - in favor of the more capable InputTask
[ Top ] ### Class Methods ### method addText [line 229]
`void addText( string $prompt)`
Sets the prompt text that will be presented to the user. #### Tags:
access: | public
#### Parameters:
string | $prompt |
[ Top ] ### method getDefaultValue [line 133]
`string getDefaultValue( )`
Returns defaultValue specified in this task for the Property being set. #### Tags:
access: | public
[ Top ] ### method getPromptCharacter [line 142]
`string getPromptCharacter( )`
Returns the terminating character used to punctuate the prompt text. #### Tags:
access: | public
[ Top ] ### method getPromptText [line 150]
`java.lang.String getPromptText( )`
Returns text of the prompt. #### Tags:
access: | public
[ Top ] ### method getPropertyName [line 159]
`string getPropertyName( )`
Returns name of the Ant Project Property being set by this task. #### Tags:
access: | public
[ Top ] ### method init [line 165]
`void init( )`
Initializes this task. #### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method isUseExistingValue [line 177]
`boolean isUseExistingValue( )`
Insert the method's description here. Creation date: (12/10/2001 8:16:16 AM) #### Tags:
access: | public
[ Top ] ### method main [line 79]
`void main( )`
Run the PropertyPrompt task. #### Tags:
throws: | BuildException
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setDefaultvalue [line 186]
`void setDefaultvalue( string $newDefaultvalue)`
Sets defaultValue for the Property being set by this task. #### Tags:
access: | public
#### Parameters:
string | $newDefaultvalue |
[ Top ] ### method setPromptCharacter [line 195]
`void setPromptCharacter( string $newPromptcharacter)`
Sets the terminating character used to punctuate the prompt text (default is "?"). #### Tags:
access: | public
#### Parameters:
string | $newPromptcharacter |
[ Top ] ### method setPromptText [line 203]
`void setPromptText( string $newPrompttext)`
Sets text of the prompt. #### Tags:
access: | public
#### Parameters:
string | $newPrompttext |
[ Top ] ### method setPropertyName [line 212]
`void setPropertyName( newPropertyname $newPropertyname)`
Specifies the Phing Project Property being set by this task. #### Tags:
access: | public
#### Parameters:
newPropertyname | $newPropertyname | java.lang.String
[ Top ] ### method setUseExistingValue [line 220]
`void setUseExistingValue( boolean $newUseExistingValue)`
#### Tags:
access: | public
#### Parameters:
boolean | $newUseExistingValue |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:49 +0200 by phpDocumentor 1.4.3